
module RD
  # interface
  module LabeledElement
    def to_label
      if @label
	@label
      else
	@label = calculate_label
      end
    end
    alias label to_label
    
    def calculate_label
      raise "[BUG] must override."
    end
  end
end
